Create timeline

Returns a rule's state-transition timeline for the posted query range, each entry carrying its related-logs or related-traces link.

POST /v1/o11y/rules/{id}/history/timeline

Addresshttps://api.hanzo.ai/v1/o11y/rules/{id}/history/timeline
MethodPOST
OperationGetRuleStateHistory
AuthAuthorization: Bearer $HANZO_API_KEY

Returns a rule's state-transition timeline for the posted query range, each entry carrying its related-logs or related-traces link. Viewer gate.

Request

18 fields, body application/json (required).

FieldInTypeRequiredDescription
idpathstringyes
endbodyinteger (int64)—
filtersbodyo11y.FilterSet—
filters.itemsbodyo11y.FilterItem[]—
filters.items[].keybodyo11y.AttributeKey—
filters.items[].key.dataTypebodystring—
filters.items[].key.isColumnbodyboolean—
filters.items[].key.isJSONbodyboolean—
filters.items[].key.keybodystring—
filters.items[].key.typebodystring—
filters.items[].opbodystring—
filters.items[].valuebodyany—
filters.opbodystring—
limitbodyinteger (int64)—
offsetbodyinteger (int64)—
orderbodystring—
startbodyinteger (int64)—
statebodystring—

Response

StatusBodyMeaning
200o11y.O11yRuleStateTimelineOutok
202Approvalheld for approval
defaultproblem-detailsrefused

200 body — 18 fields.

FieldInTypeAlwaysDescription
databodyo11y.RuleStateTimeline—
data.itemsbodyo11y.RuleStateHistory[]—
data.items[].fingerprintbodyinteger (uint64)—
data.items[].labelsbodyany—
data.items[].overallStatebodyany—One of ["normal", "firing"]
data.items[].overallStateChangedbodyboolean—
data.items[].relatedLogsLinkbodystring—
data.items[].relatedTracesLinkbodystring—
data.items[].ruleIDbodystring—
data.items[].ruleNamebodystring—
data.items[].statebodyany—One of ["normal", "firing", "nodata", "muted"]
data.items[].stateChangedbodyboolean—
data.items[].unixMillibodyinteger (int64)—
data.items[].valuebodynumber (double)—
data.labelsbodyobject—
data.labels.*bodystring[]—
data.totalbodyinteger (uint64)—
statusbodystring—Status is "success".

Failure carries the platform error shape — see Errors.

Examples

hanzo o11y rules history timeline create <id>
import { Configuration, O11yApi } from 'hanzoai';

const api = new O11yApi(new Configuration({ accessToken: process.env.HANZO_API_KEY }));
const { data } = await api.getRuleStateHistory({ id: 'id', end: 0, filters: {"items":[{"key":{"dataType":null,"isColumn":null,"isJSON":null,"key":null},"op":"<op>","value":"<value>"}],"op":"<op>"} });
from hanzoai.cloud import ApiClient, Configuration
from hanzoai.cloud.api import O11yApi

client = ApiClient(Configuration(access_token=os.environ["HANZO_API_KEY"]))
result = O11yApi(client).get_rule_state_history(id='id', end=0, filters={"items":[{"key":{"dataType":null,"isColumn":null,"isJSON":null,"key":null},"op":"<op>","value":"<value>"}],"op":"<op>"})
cfg := hanzoai.NewConfiguration()
cfg.AddDefaultHeader("Authorization", "Bearer "+os.Getenv("HANZO_API_KEY"))
client := hanzoai.NewAPIClient(cfg)

resp, _, err := client.O11yAPI.GetRuleStateHistory(context.Background()).Execute()
if err != nil {
	return err
}
use hanzo_client::apis::{configuration::Configuration, o11y_api};

let mut cfg = Configuration::new();
cfg.bearer_access_token = std::env::var("HANZO_API_KEY").ok();

let result = o11y_api::get_rule_state_history(&cfg, Default::default()).await?;
import ai.hanzo.cloud.ApiClient;
import ai.hanzo.cloud.api.O11yApi;

ApiClient client = new ApiClient();
client.setBearerToken(System.getenv("HANZO_API_KEY"));

var result = new O11yApi(client).getRuleStateHistory();
curl -X POST https://api.hanzo.ai/v1/o11y/rules/<id>/history/timeline \
  -H "Authorization: Bearer $HANZO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
       "end": 0,
       "filters": {
         "items": [
           {
             "key": {
               "dataType": null,
               "isColumn": null,
               "isJSON": null,
               "key": null
             },
             "op": "<op>",
             "value": "<value>"
           }
         ],
         "op": "<op>"
       }
     }'

Tool o11y, op GetRuleStateHistory — POST the JSON-RPC envelope to https://api.hanzo.ai/v1/mcp.

curl -X POST https://api.hanzo.ai/v1/mcp \
  -H "Authorization: Bearer $HANZO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
       "jsonrpc": "2.0",
       "id": 1,
       "method": "tools/call",
       "params": {
         "name": "o11y",
         "arguments": {
           "op": "GetRuleStateHistory",
           "input": {
             "id": "<id>",
             "end": 0,
             "filters": {
               "items": [
                 {
                   "key": {
                     "dataType": null,
                     "isColumn": null,
                     "isJSON": null,
                     "key": null
                   },
                   "op": "<op>",
                   "value": "<value>"
                 }
               ],
               "op": "<op>"
             }
           }
         }
       }
     }'

O11y API · All Hanzo APIs · Interactive reference

Was this page useful?